Bug 206331 - More stateless updates for rc.sysinit
More stateless updates for rc.sysinit
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 14:36 EDT by Jeff Law
Modified: 2014-03-16 23:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.43-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 21:27:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1.57 KB, patch)
2006-09-13 14:36 EDT, Jeff Law
no flags Details | Diff

  None (edit)
Description Jeff Law 2006-09-13 14:36:21 EDT
Description of problem:
Three distinct issues:

  1. When checking for an unset hostname, we should also check for 
     "localhost.localdomain" in addition to just "localhost".  If we
     wanted to get overly picky we could source the network scripts
     and use the need_hostname function.  This patch takes the easy
     was out and just adds a check for "localhost.localdomain".

  2. The explicit mount of $STATE_MOUNT/files is no longer necessary.
     Puppet can easily manage that for us.

  3. We need to copy the puppet CA's certificate from the r/o image into
     the client's persistent store before creating bind mounts.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Law 2006-09-13 14:36:21 EDT
Created attachment 136188 [details]
patch
Comment 2 Bill Nottingham 2006-09-26 21:27:20 EDT
Added in CVS, will be in 8.43-1.
Comment 3 Bill Nottingham 2006-10-04 18:17:27 EDT
Weird, some parts fell out. Will be in 8.44-1.

Note You need to log in before you can comment on or make changes to this bug.